deploy1 6 gadi atpakaļ
revīzija
15ad018170
9 mainītis faili ar 151 papildinājumiem un 0 dzēšanām
  1. 1 0
      .gitignore
  2. 0 0
      CHANGELOG
  3. 35 0
      CloudronManifest.json
  4. 0 0
      DESCRIPTION.md
  5. 53 0
      Dockerfile
  6. 1 0
      README.md
  7. 0 0
      VERSION
  8. 17 0
      package.json
  9. 44 0
      start.sh

+ 1 - 0
.gitignore

@@ -0,0 +1 @@
+data/

+ 0 - 0
CHANGELOG


+ 35 - 0
CloudronManifest.json

@@ -0,0 +1,35 @@
+{
+    "id": "dk.tum.elasticsearch",
+    "title": "elasticsearch app",
+    "author": "boot",
+    "description": "file://DESCRIPTION.md",
+    "changelog": "./CHANGELOG",
+    "tagline": "elasticsearch",
+    "version": "1.0.0",
+    "healthCheckPath": "/healthcheck",
+    "httpPort": 3004,
+    "addons": {
+        "ldap": {},
+        "localstorage": {}
+    },
+    "tcpPorts": {
+        "S_PORT": {
+            "title": "S Port",
+            "description": "S Port.",
+            "defaultValue": 12009
+        },
+        "B_PORT": {
+            "title": "B Port",
+            "description": "B Port.",
+            "defaultValue": 3282
+        }
+    },
+    "manifestVersion": 1,
+    "website": "https://ogi.dk",
+    "contactEmail": "boot@ogi.dk",
+    "icon": "logo.png",
+    "tags": [
+        "datserver"
+    ],
+    "mediaLinks": []
+}

+ 0 - 0
DESCRIPTION.md


+ 53 - 0
Dockerfile

@@ -0,0 +1,53 @@
+FROM cloudron/base:1.0.0@sha256:147a648a068a2e746644746bbfb42eb7a50d682437cead3c67c933c546357617
+
+RUN mkdir -p /app/code
+WORKDIR /app/code
+
+#RUN ln /
+
+RUN apt-get update -y 
+
+#RUN npm install -g hypercored
+#RUN npm install -g dat
+#RUN npm install -g pm2  
+
+#WORKDIR /app
+#RUN npm install https://git.tum.dk/tum.dk/aserver/archive/v0.0.4.tar.gz
+
+
+
+COPY package.json /app/code/
+
+RUN npm install
+
+COPY index.js /app/code/
+COPY views /app/code/views
+
+RUN ln -s /app/code/node_modules /app/node_modules
+
+#RUN curl -L https://git.tum.dk/tum.dk/aserver/archive/v0.0.1.tar.gz | tar -vxz --strip-components 1 -f -
+
+#RUN npm install 
+
+
+# node_modules have to be in data to allow plugins to be installable at runtime
+#RUN cd /app/code/src && npm install && \
+#    ln -s /app/data/node_modules /app/code/node_modules
+
+# https://github.com/ether/etherpad-lite/issues/2683
+#RUN touch src/.ep_initialized
+
+#COPY settings.json.template /app/code/settings.json.template
+#RUN mv src/static/custom src/static/custom_templates && ln -s /app/data/custom src/static/custom
+
+# make these writable (var is used for cache)
+# node_modules contains plugins, the etherpad code is only linked into /app/data/node_modules
+#RUN ln -s /app/data/APIKEY.txt /app/code/APIKEY.txt && \
+#    ln -s /app/data/SESSIONKEY.txt /app/code/SESSIONKEY.txt && \
+#    rm -rf /app/code/var && ln -s /run/etherpad-lite/var /app/code/var && \
+#    rm -rf /home/cloudron/.npm && ln -s /tmp/.npm /home/cloudron/.npm && \
+#    rm -rf /root/.npm && ln -s /tmp/.npm /root/.npm
+
+COPY start.sh /app/code/
+
+CMD [ "/app/code/start.sh" ]

+ 1 - 0
README.md

@@ -0,0 +1 @@
+##elasticsearch

+ 0 - 0
VERSION


+ 17 - 0
package.json

@@ -0,0 +1,17 @@
+{
+    "name": "elasticsearch",
+    "version": "1.0.0",
+    "description": "",
+    "main": "index.js",
+    "scripts": {
+        "test": "echo \"Error: no test specified\" && exit 1"
+    },
+    "repository": {
+        "type": "git",
+        "url": "ssh://git@git.tum.dk/tum.dk/elasticsearch.git"
+    },
+    "author": "",
+    "license": "ISC",
+    "dependencies": {
+    }
+}

+ 44 - 0
start.sh

@@ -0,0 +1,44 @@
+#!/bin/bash
+
+echo "START"
+
+
+#if [[ ! -f /app/data/feeds ]]; then
+#	echo "dat://0b8c56d3dcf9e3eae168a883cc131e1e6a1780172ff3f53f0c60abcf4cac2436" > /app/data/feeds
+#fi
+
+cd /app/data
+
+ 
+##hypercored  
+
+node /app/code/index.js --verbose
+
+
+
+
+
+
+#dat dat://0b8c56d3dcf9e3eae168a883cc131e1e6a1780172ff3f53f0c60abcf4cac2436 ./demo 
+
+#cd ./demo 
+#dat pull
+
+
+
+
+#if [[ -f ./demo/server.js ]]; then
+#	node ./demo/server.js
+#
+#else
+#	echo "no server"
+#fi
+
+
+
+
+
+
+
+
+